Skip to content
中文

POST /suno/submit/concat

Method: POSTEndpoint: /suno/submit/concat

  1. Follow the endpoint-specific flow shown in this page.

  2. Follow the endpoint-specific flow shown in this page.

  3. Follow the endpoint-specific flow shown in this page.

Request Parameters

Header Parameters

text
Content-Type
string
Optional
Example:
application/json
Accept
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
clip_id
string
Required
  // provider-specific example normalized for English documentation
is_infill
boolean
Optional
Example
{
"clip_id"
:
  // provider-specific example normalized for English documentation
,
"is_infill"
:
false
}

Example Request

Shell

bash
curl --location --request POST '/suno/submit/concat' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  // provider-specific example normalized for English documentation
  "is_infill": false
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
code
string
Required
message
string
Required
data
string
task_id
Required

Example

json
{
    "code": "success",
    "message": "",
    "data": "736a6f88-bd29-4b1e-b110-37132a5325ac"
}